{
  "custom": {},
  "params": {
    "rowData": {
      "Driver": "value"
    }
  },
  "propConfig": {
    "params.rowData": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 36,
      "width": 227
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "Dropdown"
        },
        "position": {
          "basis": "36px"
        },
        "propConfig": {
          "props.value": {
            "binding": {
              "config": {
                "path": "view.params.rowData.Driver"
              },
              "type": "property"
            },
            "onChange": {
              "enabled": null,
              "script": "\tvalue \u003d currentValue.value\n\tsystem.perspective.print(str(origin))\n\tif value is not None:\n\t\tif \u0027Binding\u0027 not in str(origin):\n\t\t\tmsg \u003d \u0027addtable-dropdown-updaterow\u0027\n\t\t\tHostname \u003d self.view.params.rowData[\u0027Hostname\u0027]\n\t\t\tpayload \u003d\t{\n\t\t\t\t\t\t\u0027value\u0027\t\t: value,\n\t\t\t\t\t\t\u0027Hostname\u0027\t: Hostname\n\t\t\t\t\t\t}\n\t\t\tsystem.perspective.sendMessage(msg, payload)"
            }
          }
        },
        "props": {
          "options": [
            {
              "label": "S7300",
              "value": "S7300"
            },
            {
              "label": "S7400",
              "value": "S7400"
            },
            {
              "label": "S71200",
              "value": "S71200"
            },
            {
              "label": "S71500",
              "value": "S71500"
            },
            {
              "label": "CompactLogix",
              "value": "CompactLogix"
            },
            {
              "label": "Legacy Allen-Bradley",
              "value": "ControlLogix"
            },
            {
              "label": "ControlLogix",
              "value": "ControlLogix"
            },
            {
              "label": "LogixDriver",
              "value": "LogixDriver"
            },
            {
              "label": "Allen Bradley MicroLogix",
              "value": "MicroLogix"
            }
          ],
          "placeholder": {
            "text": "Select Driver..."
          }
        },
        "type": "ia.input.dropdown"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}